
Foreman - Feature #29219

Provide Storybook deployment

02/27/2020 09:21 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7479,

https://github.com/theforeman/foreman/p

ull/7648

  

Description

The goal is to allow foreman and plugins to deploy their stories to a remote server so they can share the URL with others.

Automations

1. When the develop branch gets updated, deploy the main storybook

2. When someone opens/updates a PR, deploy the PR to a temporary remote and comment on the PR with the story-url.

Associated revisions

Revision a9d260c5 - 06/09/2020 08:05 AM - Jeremy Lenz

Fixes #29219 - Deploy Storybook to surge.sh (#7648)

Co-authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

History

#1 - 02/27/2020 09:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/foreman/pull/7479 added

#2 - 05/11/2020 08:46 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7648 added

#3 - 06/09/2020 08:05 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 06/09/2020 09:01 AM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset a9d260c52c144e0147f8e702bbf63d4135ce94ab.

#5 - 08/12/2020 11:38 AM - Tomer Brisker

- Category set to JavaScript stack

#6 - 09/10/2020 05:02 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
